import Image from "next/image";
import key from "./icons/key.svg";
import ResetCodeForm from "@/widgets/forms/ResetCodeForm";
import { useTranslations } from "next-intl";

const ResetCode = () => {
  const t = useTranslations("resetCode");
  return (
    <div className="h-full min-h-[800px] flex justify-center w-full ">
      <div className="flex flex-col items-center gap-6">
        <div className="min-w-[60px] min-h-[60px] flex items-center justify-center border border-light-blue rounded-full">
          <Image src={key} alt="Key Icon" className="w-[24px] h-[24px]" />
        </div>

        <div className="mb-2 flex flex-col items-center gap-2 text-center">
          <h2 className="text-[24px] font-bold leading-8 text-gray-900">
            {t("enterPassword")}
          </h2>
          <p className="leading-6 text-gray-500">{t("passInfo")}</p>
        </div>

        <ResetCodeForm />
      </div>
    </div>
  );
};

export default ResetCode;
