import Image from "next/image";
import mail from "./icons/mail.svg";
import ConfirmEmailForm from "@/widgets/forms/ConfirmEmailForm/ConfirmEmailForm";
import { useTranslations } from "next-intl";

const ConfirmEmail = ({
  searchParams,
}: {
  searchParams: {
    email: string;
  };
}) => {
  const t = useTranslations("confirmEmail");
  return (
    <div className="py-[40px] px-[90px]">
      <div className="h-full min-h-[800px] w-full flex justify-center">
        <div className="flex items-center flex-col gap-6">
          <div className="min-w-[60px] min-h-[60px] flex items-center justify-center rounded-full border-2 border-blue">
            <Image src={mail} alt="Mail icon" width={36} height={36} />
          </div>
          <div className="mb-2 flex flex-col items-center gap-2 text-center">
            <h2 className="text-6 font-bold leading-8 text-gray-900">
              {t("checkEmail")}
            </h2>
            <p className="leading-6 text-gray-500">
              {t("codeSent")} {searchParams.email}
            </p>
          </div>
          <ConfirmEmailForm email={searchParams.email} />
        </div>
      </div>
    </div>
  );
};

export default ConfirmEmail;
