import Image from "next/image";
import flag from "./icons/flag.svg";
import { Link } from "@/shared/config/navigation";
import SignUpForm from "@/widgets/forms/SignUpForm";
import { Container } from "@/shared/ui";

const SignUp = () => {
  return (
    <Container>
      <div className="h-full min-h-[800px] w-full flex justify-center">
        <div className="flex flex-col items-center gap-6">
          <div className="w-[48px] h-[48px] flex items-center justify-center rounded-sm border">
            <Image src={flag} alt="Flag Icon" />
          </div>
          <div className="mb-2 flex flex-col items-center gap-2 text-center">
            <h2 className="text-[24px] font-bold leading-8 text-gray-900">
              Регистрация
            </h2>
            <p className="text-gray-500">Пожалуйста, введите свои данные</p>
          </div>

          <SignUpForm />

          <p className="text-[14px] font-semibold leading-5 text-gray-500">
            Уже есть аккаунт?{" "}
            <Link
              className="text-[14px] font-semibold leading-5 text-light-blue"
              href="/sign-in"
            >
              Войти в аккаунт
            </Link>
          </p>
        </div>
      </div>
    </Container>
  );
};

export default SignUp;
