import Link from "next/link";
import not_found from "./assets/not-found.svg";

const NotFound = () => {
  return (
    <div className="p-4 mb-50 flex flex-col items-center">
      <img
        src={not_found.src}
        alt="Not Found Image"
        className="w-full h-[497px] aspect-w-1 aspect-h-1"
      />
      <div className="flex flex-col items-center gap-4 text-center">
        <h2 className="text-custom-dark text-xl font-extrabold leading-6">
          Страница не найдена (404)
        </h2>
        <p className="text-[#838282] text-xl font-normal leading-6">
          Неправильно набран адрес или такой страницы не существует.
        </p>
      </div>
      <Link
        className="max-w-[320px] w-full h-[55px] mt-[62px] flex items-center justify-center text-[#ffffff] text-lg font-extrabold leading-6 rounded-[13px] bg-custom-blue"
        href="/"
      >
        На главную
      </Link>
    </div>
  );
};

export default NotFound;
