"use client";

import LogoutButton from "@/features/LogoutButton";
import { Link, usePathname } from "@/shared/config/navigation";

interface IProfileNavProps {
  report_count?: number;
}

const ProfileNav: React.FC<IProfileNavProps> = ({
  report_count,
}: IProfileNavProps) => {
  const pathname = usePathname();
  return (
    <nav className="mb-[55px] flex items-center justify-between">
      <div className="flex items-center">
        <Link
          id={pathname === "/profile/personal" ? "profile-nav__link" : ""}
          href="/profile/personal"
          className="mr-[46px] text-[20px] font-semibold leading-6 text-gray-500"
        >
          Личные данные
        </Link>
        {/* <Link
          id={pathname === "/profile/my-reports" ? "profile-nav__link" : ""}
          href="/profile/my-reports"
          className="text-[20px] font-semibold leading-6 text-gray-500"
        >
          Мои обращения
        </Link> */}
        {/* <span className="ml-4 py-[2px] px-[10px] rounded-md bg-white text-[14px] font-semibold leading-6 text-light-blue cursor-auto ">
          {report_count}
        </span> */}
      </div>

      {pathname === "/profile/personal" ? (
        <LogoutButton />
      ) : (
        <Link id="profile-nav__create-report" href="/create-report">
          Написать обращение
        </Link>
      )}
    </nav>
  );
};

export default ProfileNav;
