import type { Config } from "tailwindcss";

const config: Config = {
  content: [
    "./src/pages/**/*.{js,ts,jsx,tsx,mdx}",
    "./src/components/**/*.{js,ts,jsx,tsx,mdx}",
    "./src/app/**/*.{js,ts,jsx,tsx,mdx}",
    "./src/widgets/**/*.{js,ts,jsx,tsx,mdx}",
    "./src/entities/**/*.{js,ts,jsx,tsx,mdx}",
    "./src/features/**/*.{js,ts,jsx,tsx,mdx}",
  ],
  theme: {
    extend: {
      boxShadow: {
        "custom-blue": "0px 1px 4px 0px #E3EBFC",
      },
      colors: {
        "custom-dark": "#0b2f33",
        "custom-blue": "#3998e8",
        white: "#fff",
        "light-blue": "rgb(72, 159, 225)",
        blue: "#3695D8",
        "red-500": "rgb(240, 68, 56)",
        "light-green": "rgb(74, 192, 63)",
        "grey-text": "#66727F",
        black: "#0B1F33",
      },
    },
  },
  plugins: [],
};
export default config;
